> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List subscription updates <Badge intent="info" minimal outlined>OAuth Scope: subscriptions:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/bulk_subscription_updates

Returns a list of Subscription Update objects for a publication.

Reference: https://developers.beehiiv.com/api-reference/bulk-subscription-updates/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

## Response

### 200

OK

- `data` (list of BulkSubscriptionUpdatesListResponseDataItem, optional) — An array of Subscription Update objects

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### BulkSubscriptionUpdatesListResponseDataItem

- `id` (string, optional) — The ID of the update object
- `type` (enum, optional) — The type of update (status or bulk)
  - Allowed values: `status`, `bulk`
- `params` (string, optional) — The parameters passed in for the update
- `status` (enum, optional) — The status of the update
  - Allowed values: `pending`, `processing`, `complete`, `failed`
- `publication_id` (string, optional) — The publication ID associated with this update
- `failure_reason` (string, optional) — If the job as a whole fails, this will detail the errors encountered
- `completed` (integer, optional) — The timestamp of the job's completion
- `created` (integer, optional) — The timestamp of the job's creation
- `updated` (integer, optional) — The timestamp of the job's update
- `error_log` (list of string, optional) — An array of errors encountered for individual updates within the job

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "id",
      "type": "status",
      "params": "params",
      "status": "pending",
      "publication_id": "publication_id",
      "failure_reason": "failure_reason",
      "completed": 1,
      "created": 1,
      "updated": 1,
      "error_log": [
        "error_log"
      ]
    }
  ]
}
```

**SDK Code**

```typescript
import { BeehiivClient } from "beehiiv";

const client = new BeehiivClient({ token: "YOUR_TOKEN" });
await client.bulkSubscriptionUpdates.list("publicationId");

```

```python
import requests

url = "https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/publicationId/bulk_subscription_updates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```